Skip to main content
GET
/
accounts
/
{account_id}
/
inventory_images
/
{digest}
cURL
curl --request GET \
  --url https://api.prd.rad.security/accounts/{account_id}/inventory_images/{digest} \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.prd.rad.security/accounts/{account_id}/inventory_images/{digest}"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.prd.rad.security/accounts/{account_id}/inventory_images/{digest}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "baseline_id": "<string>",
  "clusters_count": 123,
  "containers_count": 123,
  "created_at": "<string>",
  "critical_count": 123,
  "digest": "<string>",
  "distro": "<string>",
  "distro_eol_date": "<string>",
  "distro_eol_status": "<string>",
  "distro_release": {
    "codename": "<string>",
    "discontinuedFrom": "<string>",
    "eoasFrom": "<string>",
    "eoesFrom": "<string>",
    "eolFrom": "<string>",
    "isDiscontinued": true,
    "isEoas": true,
    "isEoes": true,
    "isEol": true,
    "isLts": true,
    "isMaintained": true,
    "label": "<string>",
    "latest": {
      "date": "<string>",
      "link": "<string>",
      "name": "<string>"
    },
    "ltsFrom": "<string>",
    "name": "<string>",
    "releaseDate": "<string>"
  },
  "has_chainguard_image": true,
  "high_count": 123,
  "highest_opportunity_score_change": 123,
  "low_count": 123,
  "medium_count": 123,
  "name": "<string>",
  "negligible_count": 123,
  "packages_count": 123,
  "reachable_vulnerabilities_count": 123,
  "repo": "<string>",
  "scanned": true,
  "source": "<string>",
  "tags": [
    "<string>"
  ],
  "total_vulerabilities_count": 123,
  "unspecified_count": 123,
  "updated_at": "<string>",
  "upgrade_opportunities": [
    {
      "score": 123,
      "tag": "<string>",
      "total_count_changes": 123,
      "upgrade_type": "<string>",
      "vulnerability_count_changes": {
        "critical": 123,
        "high": 123,
        "low": 123,
        "medium": 123,
        "negligible": 123,
        "unspecified": 123
      }
    }
  ]
}
{
"status": 123,
"code": "<string>",
"request_id": "<string>",
"validation_details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Path Parameters

account_id
string
required

Account ID

digest
string
required

Image digest

Response

OK

baseline_id
string
clusters_count
integer
containers_count
integer
created_at
string
critical_count
integer
digest
string
distro
string
distro_eol_date
string
distro_eol_status
string
distro_release
object
has_chainguard_image
boolean
high_count
integer
highest_opportunity_score_change
integer
low_count
integer
medium_count
integer
name
string
negligible_count
integer
packages_count
integer
reachable_vulnerabilities_count
integer
repo
string
scanned
boolean
source
string
tags
string[]
total_vulerabilities_count
integer
unspecified_count
integer
updated_at
string
upgrade_opportunities
object[]